package cn.iocoder.yudao.module.llm.dal.mysql.modelassesstaskmanual;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;

import cn.iocoder.yudao.module.llm.controller.admin.modelassesstaskmanual.vo.ModelAssessTaskDimensionPageReqVO;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassesstaskmanual.ModelAssessTaskDimensionDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 人工打分 评估维度 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface ModelAssessTaskDimensionMapper extends BaseMapperX<ModelAssessTaskDimensionDO> {

    default PageResult<ModelAssessTaskDimensionDO> selectPage(ModelAssessTaskDimensionPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ModelAssessTaskDimensionDO>()
                .eqIfPresent(ModelAssessTaskDimensionDO::getTaskId, reqVO.getTaskId())
                .eqIfPresent(ModelAssessTaskDimensionDO::getDimensionId, reqVO.getDimensionId())
                .eqIfPresent(ModelAssessTaskDimensionDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(ModelAssessTaskDimensionDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ModelAssessTaskDimensionDO::getId));
    }

}